Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587625 - Blank screen on VGA connector since kernel-2.6.33.2-57
Blank screen on VGA connector since kernel-2.6.33.2-57
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 08:26 EDT by Konrad Karl
Modified: 2011-06-27 11:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with working kernel (86.30 KB, application/octet-stream)
2010-05-06 13:25 EDT, adriano
no flags Details
Xorg.0.log with NOT working kernel (39.43 KB, application/octet-stream)
2010-05-06 13:25 EDT, adriano
no flags Details

  None (edit)
Description Konrad Karl 2010-04-30 08:26:07 EDT
No visible monitor output on VGA connector (LVDS works) since kernel-2.6.33.2-57. (also on kernel-2.6.33.3-73 from koji)

kernel-2.6.33.1-24.fc13.x86_64 was the last one working on that hardware

the kernel boot messages are visible until i915 drm gets loaded.

booting to run level 3 does not help too.
booting with i915.modeset=0 works but then the X server refuses to start
(as expected)

00:00.0 Host bridge: Intel Corporation 82Q963/Q965 Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
............


My NEC monitor says 

16.0 kHz / 15.0 Hz  when i am using 1280x1024 @ 60 Hz 
and
19,9 kHz / 18.7   with 10280x1024 @ 75 Hz

(changed modes with DISPLAY=:0 xrandr --rate 75)

DISPLAY=:0 xrandr --output VGA1 --off
turns off the video and
DISPLAY=:0 xrandr --output VGA1 --auto
turns it on again but the frequencies are wrong....

Konrad
Comment 1 adriano 2010-05-06 13:22:22 EDT
I have the same problem.

My hardware is:
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated
Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82Q963/Q965 Integrated Graphics
Controller (rev 02)

Can boot only with nomodeset in boot params but I can't use graphic display with nomodeset. Last working kernel is (kernel-2.6.33.1-24.fc13.x86_64) I don't have problems.
Comment 2 adriano 2010-05-06 13:25:00 EDT
Created attachment 412120 [details]
Xorg.0.log with working kernel
Comment 3 adriano 2010-05-06 13:25:47 EDT
Created attachment 412121 [details]
Xorg.0.log with NOT working kernel
Comment 4 adriano 2010-05-07 17:32:20 EDT
Solved for me with kernel 2.6.33.3-85.fc13, so my problem was:
"587171 - Intel kms leads to an all black display"
Thanks.
Comment 5 Konrad Karl 2010-05-08 05:15:40 EDT
Confirmed (solved with kernel 2.6.33.3-85.fc13) on one of my two systems
(same chip set).

Thanks!
Konrad
Comment 6 Bug Zapper 2011-06-02 10:41:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 11:59:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.